For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
開発者向けツール
コミュニティお問い合わせコンソール
ホームAPI参照ドキュメント変更ログ
ホームAPI参照ドキュメント変更ログ
  • API Reference
      • POSTSearch account

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
開発者向けツール
コミュニティお問い合わせコンソール
API ReferenceSearch

Search account

POST
https://api.frame.io/v4/accounts/:account_id/search
POST
/v4/accounts/:account_id/search
1from frameio import Frameio
2from frameio.search import SearchParamsFilters
3
4client = Frameio(
5 token="YOUR_TOKEN_HERE",
6)
7
8client.search.search(
9 account_id="25581f19-7fd6-4905-9892-802373e09ee9",
10 engine="nlp",
11 query="red car driving on highway",
12 filters=SearchParamsFilters(
13 files_and_version_stacks=True,
14 folders=False,
15 projects=False,
16 ),
17)
1{
2 "data": [
3 {
4 "matches": [
5 {
6 "name": "red_car.png",
7 "terms": [
8 "red",
9 "car"
10 ],
11 "type": "name_match"
12 }
13 ],
14 "result": {
15 "adobe_id": "urn:aaid:sc:US:a1b2c3d4-e5f6-7890-abcd-ef1234567890",
16 "created_at": "2023-09-25T19:18:29.614189Z",
17 "id": "b3bbca67-8df1-4fd4-8869-5a1192831d55",
18 "name": "asset.png",
19 "parent_id": "082cae25-f199-4f09-852a-d201ff9240c7",
20 "project_id": "1ba23162-1f0f-4ea6-9cf0-15fe47d759d0",
21 "type": "file",
22 "updated_at": "2024-02-07T16:44:41.986478Z",
23 "view_url": "https://next.frame.io/project/d5e6011c-2bc9-4596-be05-77d562627112/view/5a89a9fb-0900-4b23-826b-127b90e4db4c"
24 },
25 "type": "file_result"
26 }
27 ],
28 "links": {
29 "next": "/v4/accounts/1234/search?after=abc123"
30 },
31 "total_count": 15
32}

Search across assets, folders, and projects within an account. Rate Limits: 100 calls per 1.00 minute(s) per account_user

このページは役に立ちましたか?
前へ

Add new asset to share

次へ

認証

AuthorizationBearer

Bearer <token>形式のBearer認証。tokenは認証トークンです。

パスパラメータ

account_idstring必須形式: "uuid"
A UUID string that uniquely identifies a Frame.io entity.

クエリパラメータ

afterstringオプション

Opaque Cursor query param for requests returning paginated results.


NOTE: this value is auto-generated and included as part of links from a previous response. It is not intended to be human readable.

page_sizeintegerオプション1-100デフォルト値 50
Page size query param for requests
include_total_countbooleanオプションデフォルト値 false
Page query param to include the count of all entities

リクエスト

Search parameters
engineenum必須

Search engine to use. Available engines: lexical, nlp.

許可された値:
querystring必須1-1000 characters
The search query text
filtersobjectオプション
Filters to control which types of results are returned

レスポンスヘッダー

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

レスポンス

OK
datalist of objects
List of search results
linksobject
Links to paginated data
total_countinteger or null
Total number of matching results

エラー

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error